<template>
   <div class="app-container">
   <div class="RealContent">
     <iframe  :src="iframeUrl" frameborder="0" id="fxifram" width="100%" style="filter:Chroma(Color=white);" ></iframe>
   </div>
  </div> 
</template>

<script>
import { GetFxlink } from '@/api/fxlink';
export default {
  name: "distribution",
  data() {
    return {
      iframeUrl: ""
    };
  },
  created() {
    this.GetFxlink();
  },
  methods:{
    GetFxlink() {
      GetFxlink({link:"fxlink"}).then(response=>{
        var res = response.data;
        if(res.state==1) {
          this.iframeUrl = res.data.fxlink
        }
      }).catch(e=>{});
    },
  },
  mounted() {
    const oIframe = document.getElementById("fxifram");
    const deviceHeight = document.documentElement.clientHeight;
    oIframe.style.height = Number(deviceHeight) - 124 + "px"; //数字是页面布局高度差
  } //
};
</script>

